/******************************************************************
** KENCFS - (c) 2010-2014 by Felice Murolo, all rigths reserved
** Author: Felice Murolo, Salerno, Italia
** eMail: linuxboy@RE-MO-VEfel.hopto.org
**
** GNU Lesser General Public License Usage
** KEncFS and it's sources may be used under the terms of the GNU Lesser
** General Public License version 2.1 as published by the Free Software
** Foundation and appearing in the file LICENSE.LGPL included in the
** packaging of this file.  Please review the following information to
** ensure the GNU Lesser General Public License version 2.1 requirements
** will be met: http://www.gnu.org/licenses/old-licenses/lgpl-2.1.html.
**
**/

#include <stdio.h>
#include "configdialog.h"
#include "ui_configdialog.h"

extern bool starthide,browseaftermount,usewallet;

configDialog::configDialog(QWidget *parent) :
        QDialog(parent),
        configui(new Ui::configDialog)
{
configui->setupUi(this);
}


configDialog::~configDialog()
{
}

void configDialog::accept()
{
    starthide=configui->cbstarthide->isChecked();
    browseaftermount=configui->cbbrowse->isChecked();
    usewallet=configui->cbusewallet->isChecked();
    this->hide();
}


void configDialog::hideEvent(QHideEvent *e)
{
}

void configDialog::showEvent(QShowEvent *e)
{
    configui->cbstarthide->setChecked(starthide);
    configui->cbbrowse->setChecked(browseaftermount);
    configui->cbusewallet->setChecked(usewallet);
}


void configDialog::changeEvent(QEvent *e)
{
}
